PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce (Groovy 2.4.5)
Date: 2015-09-17

org.codehaus.groovy.runtime.callsite

## Class PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.MetaMethodSite
      - - org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite
        - - org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce

- All Implemented Interfaces:
    CallSite
  Enclosing class:
    PogoMetaMethodSite

      public static class PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce
      extends PogoMetaMethodSite

  Call site where we know there is no need neither unwrap nor coerce arguments

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite

      `PogoMetaMethodSite.PogoCachedMethodSite, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrap, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrap, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

      `params`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

      `metaClass`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(Object receiver, Object[] args)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite

      `call, callCurrent, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, createCachedMethodSite, createPogoMetaMethodSite`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce

          public PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce(CallSite site,
                                                               MetaClassImpl metaClass,
                                                               MetaMethod metaMethod,
                                                               Class[] params)

  - ### Method Detail

    - #### invoke

          public final Object invoke(Object receiver,
                      Object[] args)
                              throws Throwable

      Overrides:
        `invoke` in class `PogoMetaMethodSite`
      Throws:
        `Throwable`